Subject: [alpine-devel] [PATCH] testing/noice: new aport

From: Dimitris Papastamos <[email-masked]>
Date: Fri, 13 Mar 2015 23:20:40 +0000

See attachment.
>From 05a07d1ab1f4ebb5e663618608bac306ce3e2908 Mon Sep 17 00:00:00 2001
From: sin <[email-masked]>
Date: Fri, 13 Mar 2015 23:18:27 +0000
Subject: [PATCH] testing/noice: new aport

a simple file browser
http://git.2f30.org/noice
---
 testing/noice/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/noice/APKBUILD

diff --git a/testing/noice/APKBUILD b/testing/noice/APKBUILD
new file mode 100644
index 0000000..6883f2a
--- /dev/null
+++ b/testing/noice/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: sin <[email-masked]>
+# Maintainer: sin <[email-masked]>
+pkgname=noice
+pkgver=0.2
+pkgrel=0
+pkgdesc="a simple file browser"
+url="http://git.2f30.org/noice"
+arch="all"
+license="BSD-2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://dl.2f30.org/releases/noice-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr MANPREFIX=/usr/share/man DESTDIR="$pkgdir" install || return 1
+}
+md5sums="c1eeaf040beb7963999936e4b81d3755  noice-0.2.tar.gz"
+sha256sums="2ae75eb4c22d5c87fc90ed8fe3314158e1b51771e2d1515c339fefd2f14b7990  noice-0.2.tar.gz"
+sha512sums="f7635839b9f6299c2a92bbd1fe7d50974a9861fc078e8bc80e85e9fdad5d5463ac365c2ea955a4bc20169b51580ca12c26bfc62e6bd7c30b87e83742ae780448  noice-0.2.tar.gz"
-- 
2.3.2

---

From: Natanael Copa <[email-masked]>
Date: Mon, 16 Mar 2015 15:20:49 +0100

On Fri, 13 Mar 2015 23:20:40 +0000

> See attachment.

applied. thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---